PROJECT = examen_final
LANG = es
SRC = $(wildcard *.tex)

SUBDIRS := figs

.PHONY: all clean check $(SUBDIRS)

all: $(PROJECT).pdf

# MAIN LATEXMK RULE
$(PROJECT).pdf: $(SRC) $(SUBDIRS)
	latexmk -f -bibtex -use-make -pdf -pdflatex="pdflatex -synctex=1" $(PROJECT).tex

$(SUBDIRS):
	make -C $@

check: $(SRC)
	aspell --lang=$(LANG) -t -c $<

indent: $(SRC)
	latexindent -s -m --overwrite $<

clean:
	latexmk -C




